Bug 5859 - Can't set character encoding with stage MARC records
Summary: Can't set character encoding with stage MARC records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 17:01 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (5.35 KB, patch)
2011-04-05 12:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Signed-off patch (8.91 KB, patch)
2011-04-18 18:00 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-03-13 17:01:22 UTC
For some reason the Stage MARC Records for Import screen asks for MARC flavor when it should be asking for character encoding (the label is correct, but the options are not). There is nothing the tool can do with MARC flavor, as UNIMARC cannot be converted into MARC21 or vice versa by Koha. However, libraries do need to be able to specify the encoding of files they're importing since Koha guesses wrong when working with non-Roman MARC-8 encoded records.
Comment 1 Jared Camins-Esakov 2011-04-05 12:19:14 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2011-04-18 18:00:44 UTC
Created attachment 3947 [details] [review]
Signed-off patch
Comment 3 Chris Cormack 2011-04-19 01:07:59 UTC
Pushed, please test
Comment 4 Jared Camins-Esakov 2011-07-08 14:37:24 UTC
Seems to be working now. Closing.